### Method

# WebKit2 ScriptDialog close

#### Declaration [src]

    void
    webkit_script_dialog_close (
      WebKitScriptDialog* dialog
    )

#### Description [src]

Close `dialog`.

When handling a `WebKitScriptDialog` asynchronously (webkit_script_dialog_ref() was called in `WebKitWebView::script-dialog` callback), this function needs to be called to notify that we are done with the script dialog. The dialog will be closed on destruction if this function hasn’t been called before.

Available since: | 2.24